import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiComputePfwListResultModel(_base.BaseAPIResultModel):
    data: list[_nested.NATRuleAPIResultNM]
    entry_count: int


class CloudapiComputePfwListProtocol(_base.BasePostAPIFunctionProtocol):
    def pfw_list(
        self,
        *,
        vm_id: int,
    ) -> CloudapiComputePfwListResultModel:
        ...
